package com.zanxiang.game.platform.serve.controller.api;

import com.zanxiang.game.platform.serve.pojo.dto.PlatformDeYangOrderDTO;
import com.zanxiang.game.platform.serve.pojo.dto.PlatformDeYangUserDTO;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬接口
 */
@Api(tags = {"通用分组"})
@Slf4j
@RestController
@RequestMapping("/api/deYang/game")
public class PlatformDeYangApiController {

    @ApiOperation(value = "用户信息推送接口")
    @PostMapping("/user")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> pushUserInfo(@RequestBody PlatformDeYangUserDTO userDTO) {
        return ResultVO.ok(Boolean.FALSE);
    }

    @ApiOperation(value = "订单信息推送接口")
    @PostMapping("/order")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> pushOrderInfo(@RequestBody PlatformDeYangOrderDTO orderDTO) {
        return ResultVO.ok(Boolean.FALSE);
    }

}
