package com.zanxiang.game.platform.serve.pojo.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬订单
 */
@Data
public class PlatformDeYangOrderDTO {

    /**
     * 订单id
     */
    private String orderId;

    /**
     * openId
     */
    private String openId;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 金额(单位:分)
     */
    private Long amount;

    /**
     * 下单时间
     */
    private LocalDateTime createdTime;

    /**
     * 支付时间
     */
    private LocalDateTime payTime;

    /**
     * 是否首充
     */
    private Boolean isFirst;

    /**
     * 游戏角色名
     */
    private String roleName;

    /**
     * 游戏区服
     */
    private String severName;

    /**
     * 商户订单号
     */
    private String merchantNumber;

    /**
     * 商户类型
     */
    private String merchantType;

    /**
     * 游戏商品ID
     */
    private String productId;

    /**
     * 游戏商品名称
     */
    private String productName;

    /**
     * 游戏名称
     */
    private String gameName;
}
